/* $Id: eepromdata.h,v 1.1 2010/07/24 20:55:48 simimeie Exp $
 * Defines the contents of the EEPROM.
 * The EEPROM contains settings and can also contain "programs" for the LEDs.
 * Usually you only need to reprogram the eeprom after changing values here,
 * unless compiler version changed and thus the data got reordered.
 */ 

#define EEPROM __attribute__ ((section (".eeprom")))

/* The default brightness */
uint8_t EEPROM ee_defledbrightness = 128;

/* All the rest of the memory is used for storing LED "programs".
 * For the following to work, <avr/io.h> needs to be included before this file -
 * which usually should be the case anyways.
 * Formula is: E2END + 1 - (number of bytes used by other stuff in EEPROM) */
uint8_t EEPROM ee_ledprograms[E2END + 1 - 1];

